=== debian/changelog ===
dtkgui (5.6.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 Oct 2023 14:54:44 +0800

dtkgui (5.6.12) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * fix: fix build failure due to metasystem change
  * fix(build): suport build with Qt6 && Qt5
  * chore: Adapt Qt6 && Dtk6 compilation
  * fix: ut failed
  * chore: update dconfig appid

 -- Deepin Packages Builder <packages@deepin.org>  Sun, 25 Jun 2023 14:43:42 +0800

dtkgui (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * Fix developer-center#4117
  * Fix bug-197713(App blocked by hasUserManual in live system)

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 13:16:17 +0800

dtkgui (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * support XDG_SESSION_DESKTOP set to DDE
  * add DontSaveApplciationTheme Attribute

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:11:55 +0800

dtkgui (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 10:13:06 +0800

dtkgui (5.6.8) unstable; urgency=medium

  * Release 5.6.8

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 14:12:16 +0800

dtkgui (5.6.6) unstable; urgency=medium

  * Release 5.6.6

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 21 Feb 2023 11:46:51 +0800

dtkgui (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 02 Feb 2023 14:12:15 +0800
