## dtkgui 5.6.32

=== debian/changelog ===
dtkgui (5.6.32) unstable; urgency=medium

  * Revert "fix: jagged edges on ddciicon"(Issue: https://github.com/linuxdeepin/developer-center/issues/9443)
  * chore: dci-icon-theme tool tweak

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:29:21 +0000

dtkgui (5.6.31) unstable; urgency=medium

  * fix: jagged edges on ddciicon(Issue: https://github.com/linuxdeepin/developer-center/issues/8691)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jun 2024 09:11:34 +0000

dtkgui (5.6.30) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 30 May 2024 02:46:31 +0000

dtkgui (5.6.29) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 13 May 2024 03:02:53 +0000

dtkgui (5.6.28) unstable; urgency=medium

  * chore: insert to cache when icon is not null
  * chore: add flag to disable noncache flag
  * fix: missing initialization for baseFont of fontManager(Issue: https://github.com/linuxdeepin/developer-center/issues/8040)
  * feat: dci-icon-theme support multiple icon size

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 29 Apr 2024 08:23:44 +0000

dtkgui (5.6.27) unstable; urgency=medium

  * fix: setWindowBlurAreaByWM only work once in qt6

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 19 Apr 2024 08:55:34 +0000

dtkgui (5.6.26) unstable; urgency=medium

  * fix: wrong availableSizes for DIconProxyEngine
  * fix: PlaceholderText color tweak(Issue: https://github.com/linuxdeepin/developer-center/issues/7554)
  * feat: support to get specified palette

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Mar 2024 05:47:35 +0000

dtkgui (5.6.25) unstable; urgency=medium

  * fix: icon doesn't update when iconTheme changed
  * fix: font can't follow changes in qt6
  * fix: app refresh slowly
  * fix: changed paletteType's config value
  * fix: search icon can't change with theme change(Issue: #6230)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 11 Mar 2024 01:16:27 +0000

dtkgui (5.6.22) unstable; urgency=medium

  * fix: menu icon incorrect in dark mode(Issue: https://github.com/linuxdeepin/developer-center/issues/6624)
  * feat: enable xdgIconLoader under Qt6
  * chore: warning for connect

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 10 Jan 2024 02:30:59 +0000

dtkgui (5.6.21) unstable; urgency=medium

  * chore: update cmake version
  * fix: xdg icon loading failed with qt6(Issue: https://github.com/linuxdeepin/developer-center/issues/6459)
  * fix: debian build failed
  * fix: DIconProxyEngine read not ensureEngine
  * chore: fix ut_dciiconengine failed on dark theme

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 09 Jan 2024 01:45:43 +0000

dtkgui (5.6.20) unstable; urgency=medium

  * chore: add synchronization workflow
  * fix: indirect inclusion of QSharedPointer
  * feat: move ddesktopservices to dtkgui(Issue: #134)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 28 Nov 2023 05:40:52 +0000

dtkgui (5.6.19) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 23 Oct 2023 07:33:18 +0000

dtkgui (5.6.18) unstable; urgency=medium

  * fix: Wrong value of DPalette::TextLively
  * chore: find qhelpgenerator from property
  * fix: svg with filter attribute rendering exception
  * fix: when iconName is absolute path
  * fix: missing link when disable librsvg
  * fix: Wrong IconName for DIconEngine(Issue: https://github.com/linuxdeepin/developer-center/issues/5760)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 18 Oct 2023 06:01:44 +0000

dtkgui (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:15:39 +0800

dtkgui (5.6.16) unstable; urgency=medium

  * chore: ut build without source
  * fix: Compiling error in qt6.4
  * chore: add DtkBuildHelper depends
  * fix(build): ut failed on Qt6.4
  * fix: dci icon cache key miss theme name(Issue: https://github.com/linuxdeepin/developer-center/issues/4517)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:45 +0000

dtkgui (5.6.15) unstable; urgency=medium

  * chore: iconengine tweak and uint test
  * chore: do not show ui in ut
  * chore: add unit test
  * chore: Adaptation for Qt5.11
  * refator: rewrite hasUserManual function

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 13:57:02 +0800

dtkgui (5.6.14) unstable; urgency=medium

  * chore: ignore doxygen-theme folder
    Thanks to syn(Task: 99)
  * chore: change OUTPUT_DIR variable in cmake (#163)
    Thanks to WangFei
  * chore: adjust builtiniconengine (#164)
    Thanks to WangFei
  * chore: adjust xdgiconproxyengine (#167)
    Thanks to WangFei
  * chore: add unit test about builtinengine
  * refactor!: deprecate some interfaces in dtk6
  * chore: add dciiconengine
  * chore: adjust icontheme
  * chore: add unit test about dciiconengine
  * chore: reduce compilation warnings
    Thanks to SPUER(Issue: #96)
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: add proxyiconengine
  * refactor: Move dotsPerInch from normal function to slots
  * chore: remove unused pro files
  * fix: build failed in qt6 due to proxyengine
  * feat: DIconTheme::findQIcon add fallback icon
  * fix(build): DIconTheme ut failed
  * fix: DFileDragClient::serverDestroyed nerver emit
  * feat: add helper for high dpi pixmap
  * fix: dplatformtheme fetchPalette crash
  * feat: load app and qt Translation files

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jul 2023 06:56:34 +0000
