=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Deepin Packages Builder <packages@deepin.com>
 Build-Depends: debhelper-compat (= 12), pkg-config, 
- qtbase5-private-dev, qtbase5-dev-tools, doxygen, graphviz, qttools5-dev-tools,
+ qtbase5-private-dev, qtbase5-dev-tools, doxygen, graphviz, qttools5-dev,
  libdtkcore-dev, librsvg2-dev, libfreeimage-dev, libraw-dev, libgtest-dev, libgmock-dev,
  libqt5xdg-dev, libqt5xdgiconloader-dev, cmake, qt5-image-formats-plugins
 Standards-Version: 3.9.8
@@ -29,13 +29,14 @@
 
 Package: libdtkgui-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkgui5( =${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkgui5( =${binary:Version}), libdtkcommon-dev(>=5.6.16)
 Description: Deepin Tool Kit Gui Devel library
  DtkGui is base devel library of Deepin Qt/C++ applications.
  .
  This package contains the header files and static libraries of DtkGui
 
 Package: libdtkgui-doc
+Build-Profiles: <!nodoc>
 Architecture: any
 Depends: ${misc:Depends}
 Description: Deepin Tool Kit Gui (Document)
