## dtkgui 5.7.5

=== debian/changelog ===
dtkgui (5.7.5) unstable; urgency=medium

  * fix: availableSizes not work on Qt6

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 12 Dec 2024 03:03:53 +0000

dtkgui (5.7.4) unstable; urgency=medium

  * chore(CI): add debian check workflow
    Thanks to kuchune
  * refactor: xcb platform theme interface
  * refactor: treeland platform theme interface 扩展Treeland的个性化接口
  * fix: Possible null pointer dereference and Notitlebar input parameter error
  * feat: support treeland platform for wmHelper
  * fix: blur is invalid for treeland
  * feat: Limit maximum and minimum fonts
  * fix: app crashed when window destroyed in quick
  * fix: app crashed when window destroyed in quick
  * fix: linglong app load qt translations failed

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 03 Dec 2024 02:00:46 +0000

dtkgui (5.7.3) unstable; urgency=medium

  * fix: No judgment on the validity of the protocol(Bug: 286859)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 02:19:06 +0000

dtkgui (5.7.2) unstable; urgency=medium

  * chore: Correct the name of TreelandProtocols package in cmake
  * fix: Under treeland, the dialog has not disabled titlebar
  * fix: Print "load translate" debug log to channels(Bug: 284539)
  * chore: add IsWaylandPlatform attribute
  * chore: highlight color is inconsistency

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 13 Nov 2024 01:53:26 +0000
