## dtkgui 5.7.9

=== debian/changelog ===
dtkgui (5.7.9-1) unstable; urgency=medium

  * Upload to unstable.
  * Re-enable qt5xdg support.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 15:17:27 -0500

dtkgui (5.7.9-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Add new build-deps.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2025 20:39:23 -0500
