=== debian/control ===
Source: dtkgui
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <arun@debian.org>,
 Hu Feng <hufeng@uniontech.com>,
 Clay Stan <claystan97@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 doxygen <!nodoc>,
 extra-cmake-modules,
 libdtkcore-dev (>= 5.7.8),
 libfreeimage-dev,
 libgmock-dev,
 libgtest-dev,
 libkf5wayland-dev,
 libqt5waylandclient5-dev,
 libqt5xdg-dev,
 libqt5xdgiconloader-dev,
 libraw-dev,
 librsvg2-dev,
 pkgconf,
 qt5-image-formats-plugins,
 qtbase5-dev-tools,
 qtbase5-private-dev,
 qttools5-dev-tools,
 qtwayland5-dev-tools,
 qtwayland5-private-dev,
 treeland-protocols,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/dtkgui
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkgui.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkgui

Package: libdtkgui-dev
Architecture: any
Section: libdevel
Depends:
 libdtkcommon-dev (>= 5.7),
 libdtkgui5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Tool Kit Gui library (development files)
 DtkGui provides the base devel library of Deepin Qt/C++
 applications.
 .
 This package provides the library development files.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtkgui5
Architecture: any
Depends:
 libdtkcommon,
 qt5-image-formats-plugins,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Deepin Tool Kit Gui library
 DtkGui provides the base devel library of Deepin Qt/C++
 applications.
 .
 This package provides the shared library files.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtkgui5-bin
Section: utils
Architecture: any
Depends:
 libdtkgui5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Tool Kit Gui utilities
 DtkGui provides the base devel library of Deepin Qt/C++
 applications.
 .
 This package provides the utilities of DtkGui.
 .
 This package is part of DDE (Deepin Desktop Environment).
