## dtkgui 5.7.11

=== debian/changelog ===
dtkgui (5.7.11-2) unstable; urgency=medium

  * debian/control: Add explicit build-dep on libdtklog-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 07:56:03 -0500

dtkgui (5.7.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 13:35:12 -0500
