=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
  cmake,
  doxygen <!nodoc>,
  extra-cmake-modules,
- libdtkcore-dev (>= 5.7.8),
+ libdtkcore-dev (>= 5.7.11),
+ libdtklog-dev,
  libfreeimage-dev,
  libgmock-dev,
  libgtest-dev,
@@ -31,7 +32,7 @@
  qtwayland5-private-dev,
  treeland-protocols,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/linuxdeepin/dtkgui
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkgui.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkgui
