=== debian/changelog ===
dtkgui (5.7.12-1build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 14 Jul 2025 14:25:55 +0300

dtkgui (5.7.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Mar 2025 15:46:06 -0400
