=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  cmake,
  doxygen <!nodoc>,
  extra-cmake-modules,
- libdtkcore-dev (>= 5.7.11),
+ libdtkcore-dev (>= 5.7.12),
  libdtklog-dev,
  libfreeimage-dev,
  libgmock-dev,
