## dtkgui 5.7.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.25)
 
 set(DTK_VERSION "5.6.11" CACHE STRING "define project version")
 project(DtkGui
