=== debian/changelog ===
dtkgui (5.7.14) unstable; urgency=medium

  * build: compiling failed with Qt 6.9

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:51:32 +0800

dtkgui (5.7.13) unstable; urgency=medium

  * Release 5.7.13

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:05:55 +0800

dtkgui (5.7.12) unstable; urgency=medium

  * fix: palette refresh delayed in qt6
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:29:35 +0800

dtkgui (5.7.11) unstable; urgency=medium

  * Release 5.7.11

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:47:39 +0800

dtkgui (5.7.10) unstable; urgency=medium

  * fix: icon is blurry

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:18:19 +0800

dtkgui (5.7.9) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 09:07:08 +0000

dtkgui (5.7.8) unstable; urgency=medium

  * fix: missing window decoration for treeland
  * chore: update default window corner size

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 14 Jan 2025 11:17:31 +0000

dtkgui (5.7.7) unstable; urgency=medium

  * fix: accessing wild pointer in qt6
  * chore: correct typos about Dtk::Gui::DDciIcon::IconAttribute
    Thanks to Felix Yan

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 09:28:38 +0000

dtkgui (5.7.6) unstable; urgency=medium

  * refact: refacting DPlatformHandle to adap treeland
  * Revert "refact: refacting DPlatformHandle to adap treeland"
  * refact: refacting DPlatformHandle to adapt treeland
  * fix: iterator out of bounds for dciicon
  * fix: set font family invalid

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 02 Jan 2025 05:43:53 +0000
