## dtkgui 5.7.16

=== debian/changelog ===
dtkgui (5.7.16) unstable; urgency=medium

  * Release 5.7.16

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:21:59 +0800

dtkgui (5.7.15) unstable; urgency=medium

  * fix: correct bitwise operation in preference handling
  * fix: prevent theme saving when DontSaveApplicationTheme is set
  * refactor: improve thread safety in OrgDeepinDTKPreference
  * fix: build failed in qt5
  * feat: use dconfig2cpp for read/write the DConfig
  * fix: fix build on Qt 6.8

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:53:09 +0800
