=== debian/changelog ===
dtkgui (5.7.18) unstable; urgency=medium

  * Release 5.7.18

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:09:35 +0800

dtkgui (5.7.17) unstable; urgency=medium

  * Release 5.7.17

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:03:48 +0800
