## dtkgui 5.7.19

=== debian/changelog ===
dtkgui (5.7.19) unstable; urgency=medium

  * Release 5.7.19

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:12:27 +0800
